I have concerns I won't get the update